Name:    blktrace
Version: 1.2.0
Release: 17
Summary: Block IO tracer in the Linux kernel
License: GPLv2+
Source:  http://brick.kernel.dk/snaps/blktrace-%{version}.tar.bz2
URL:     https://git.kernel.dk/cgit/blktrace 

BuildRequires: gcc, git, xz, libaio-devel, python3, librsvg2-devel blktrace sysstat theora-tools gdb
Provides:      iowatcher = %{version}-%{release}
Obsoletes:     iowatcher < %{version}-%{release}
Requires:      python3

Patch0: blktrace-fix-btt-overflow.patch
Patch1: remove-python2-dependency.patch
Patch2: modify-python2-expression-to-python3.patch

%description
blktrace is a block layer IO tracing mechanism which provides detailed
information about request queue operations up to user space. This is
valuable for diagnosing and fixing performance or application problems
relating to block layer io.

%package help
Summary: Including man files for blktrace
Requires: man

%description    help
This contains man files for the using of blktrace.

%prep
%autosetup -Sgit -n %{name}-%{version}

%build
%make_build -j1 all

%install
make dest=%{buildroot} prefix=%{buildroot}/%{_prefix} mandir=%{buildroot}/%{_mandir} install

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/*
%{_bindir}/iowatcher

%files help
%{_mandir}/man1/*
%{_mandir}/man8/*

%changelog
* Tue Feb 9 2021 Zhiqiang Liu<liuzhiqiang26@huawei.com> - 1.2.0-17
- set release num to 17 for CI

* Tue Aug 18 2020 smileknife<jackshan2010@aliyun.com> - 1.2.0-14
- update release for rebuild package

* Wed Mar 18 2020 sunshihao<sunshihao@huawei.com> - 1.2.0-13
- Type:enhancemnet
- ID:NA
- SUG:restart
- DESCi:modify python2 expression to python3

* Tue Feb 25 2020 hy-euler <eulerstoragemt@huawei.com> - 1.2.0-12
- Type:enhancemnet
- ID:NA
- SUG:restart
- DESC:modify the URL to git web in spec file

* Mon Feb 17 2020 sunshihao<sunshihao@huawei.com> - 1.2.0-11
- Type:enhancemnet
- ID:NA
- SUG:restart
- DESC:blktrace remove python2 dependency

* Fri Aug 30 2019 zoujing<zoujing13@huawei.com> - 1.2.0-10
- Type:enhancemnet
- ID:NA
- SUG:restart
- DESC:openEuler Debranding

* Thu Aug 15 2019 Buildteam <buildteam@openeuler.org> - 1.2.0-9
- Package Initialization

